[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: changequote

From: Pavel Roskin
Subject: Re: changequote
Date: Mon, 25 Dec 2000 10:11:23 -0500 (EST)

Hello, Mirar!

> > Yes you may, but it will be 2.50.  The fact that broken
> > no longer work is no surprise, and it could have happened in 2.15.
> Yes, that version should have been named 3.x too, imho.

No. We pretend to be fully compatible with correctly written's.

> It's interesting that you call it broken, though. <= 2.13 it was
> assumed that you had a true m4 environment; most macros didn't quote,
> so you could use changequote, and you could make use of m4 define.

Last example - in aumix-2.7 "configure --help" doesn't show you
--without-gpm because of underquoting. There are no error messages either
from autoconf-2.13 or from configure itself - the option has disappeared
and nobody noticed.

This is not to defend the CVS version of Autoconf. It would print
something irrelevant on that The protection against
underquoting is yet to be developed.

> Is that - define - going to be dropped too, btw?

Not in 2.50. And only for the sources that indicate (by AC_REQUIRE or
something like that) that they want to work in the new namespace.

Pavel Roskin

reply via email to

[Prev in Thread] Current Thread [Next in Thread]